import { defineStore } from 'pinia'
import { ref } from 'vue'



export interface PfamContent {
    body: PfamHmm[]
}

export interface PfamHmm {
    AC: string
    CL: string
    DE: string
    GA: string
    ID: string
    ML: string
    TP: string
}

export const usePfamStore = defineStore('pfam', () => {
    const pfam = ref(new Map<string, PfamHmm>())


    // Get the pfam from nuxt-content api

    async function initPfam() {
        if (pfam.value.size < 1) {
            const pfamContent = await queryContent<PfamContent>("/_partials/_pfam-a-hmm").where({ _partial: true }).findOne()
            if (pfamContent?.body) {
                pfam.value = new Map(pfamContent.body.map(pfam => {
                    return [pfam.AC.split(".")[0], { ...unref(pfam) }];
                }))
            }
        }
    }
    return { pfam, initPfam }
})